Bug 441829 - gnome-system-monitor resources tab crashes or hangs nv driver
gnome-system-monitor resources tab crashes or hangs nv driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 09:37 EDT by Thomas J. Baker
Modified: 2009-07-14 13:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (34.34 KB, text/plain)
2008-04-10 09:38 EDT, Thomas J. Baker
no flags Details

  None (edit)
Description Thomas J. Baker 2008-04-10 09:37:22 EDT
I've got a 01:00.0 VGA compatible controller: nVidia Corporation NV25GL [Quadro4
900 XGL] (rev a3) (prog-if 00 [VGA controller]) and if I run
gnome-system-monitor and go to the Resources tab where it starts graphing, it
either crashes X or hangs it within 30 seconds. Just for fun, I tried the
nouveau driver and although it's not completely smooth in overall operation, it
doesn't crash in the same scenario.

My xorg.conf is minimal, just enough to allow me to change drivers:

# Xorg configuration created by pyxf86config

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
EndSection

Section "Device"
	Identifier  "Videocard0"
	#Driver      "nv"
	Driver      "nouveau"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

I'll include the Xorg log next.
Comment 1 Thomas J. Baker 2008-04-10 09:38:21 EDT
Created attachment 301981 [details]
Xorg.0.log
Comment 2 Matěj Cepl 2008-04-10 13:48:53 EDT
Actually the crash seems to be in Xorg server itself. Hmm.
Comment 3 Bug Zapper 2008-05-14 05:14:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 20:07:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:36:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.